## pyosmium 3.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(pyosmium)
set(PACKAGE_VERSION 3.0.1)

option(WITH_LZ4 "Build with lz4 support for PBF files" ON)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(Osmium 2.16 REQUIRED COMPONENTS io pbf xml)

if(WITH_LZ4)
find_package(LZ4)

    if(LZ4_FOUND)
        message(STATUS "lz4 library found, compiling with it")
        add_definitions(-DOSMIUM_WITH_LZ4)
        include_directories(SYSTEM ${LZ4_INCLUDE_DIRS})
        list(APPEND OSMIUM_LIBRARIES ${LZ4_LIBRARIES})
    else()
        message(WARNING "lz4 library not found, compiling without it")
    endif()
else()
    message(STATUS "Building without lz4 support: Set WITH_LZ4=ON to change this")
endif()

include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/lib)

if(NOT "${CMAKE_CXX_STANDARD}")
    if(MSVC)
        set(CMAKE_CXX_STANDARD 14)
    else()
        set(CMAKE_CXX_STANDARD 11)
    endif()
endif()

# required for pybind11 < 2.6
if(MSVC)
    set(PYBIND11_CPP_STANDARD /std=c++${CMAKE_CXX_STANDARD})
else()
    set(PYBIND11_CPP_STANDARD -std=c++${CMAKE_CXX_STANDARD})
endif()

message(STATUS "Building in C++${CMAKE_CXX_STANDARD} mode")

if(PYBIND11_PREFIX)
    add_subdirectory(${PYBIND11_PREFIX} contrib/pybind11)
else()
    find_package(pybind11 2.2 REQUIRED)
endif()

find_package(Boost 1.41 REQUIRED COMPONENTS)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})

function(set_module_output module outdir)
    set_target_properties(${module} PROPERTIES
                          LIBRARY_OUTPUT_DIRECTORY
                              ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${outdir})
    # windows needs a build type variant
    foreach(config ${CMAKE_CONFIGURATION_TYPES})
        string(TOUPPER ${config} config)
        set_target_properties(${module} PROPERTIES
                              LIBRARY_OUTPUT_DIRECTORY_${config}
                                  ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${outdir})
    endforeach()
endfunction()

set(PYOSMIUM_MODULES geom index io)

foreach(PYMOD geom index io)
    pybind11_add_module(${PYMOD} lib/${PYMOD}.cc)
    set_module_output(${PYMOD} osmium)
    target_link_libraries(${PYMOD} PRIVATE ${OSMIUM_LIBRARIES})
    if(APPLE)
        set_target_properties(${PYMOD} PROPERTIES CXX_VISIBILITY_PRESET "default")
    endif()
endforeach()

pybind11_add_module(_osm lib/osm.cc)
set_module_output(_osm osmium/osm)
pybind11_add_module(_osmium
                    lib/osmium.cc
                    lib/merge_input_reader.cc
                    lib/simple_writer.cc
                    lib/write_handler.cc)
set_module_output(_osmium osmium)
pybind11_add_module(_replication lib/replication.cc)
set_module_output(_replication osmium/replication)

target_link_libraries(_osmium PRIVATE ${OSMIUM_LIBRARIES})
target_link_libraries(_replication PRIVATE ${OSMIUM_LIBRARIES})

# workaround for https://github.com/pybind/pybind11/issues/1272
if(APPLE)
    set_target_properties(_osmium PROPERTIES CXX_VISIBILITY_PRESET "default")
    set_target_properties(_osm PROPERTIES CXX_VISIBILITY_PRESET "default")
endif()

=== debian/changelog ===
pyosmium (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop unused build dependencies.
    (closes: #980339)
  * Update upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Feb 2021 15:04:32 +0100

pyosmium (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jan 2021 05:37:57 +0100

pyosmium (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Bump minimum required libosmium2-dev to 2.16.0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jan 2021 17:31:04 +0100

pyosmium (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Drop pybind11-2.6.0.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 04:11:51 +0100

pyosmium (3.0.1-2) unstable; urgency=medium

  * Update lintian overrides.
  * Add patch to fix FTFBS with pybind11 2.6.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Oct 2020 12:42:42 +0100

=== debian/control ===
Source: pyosmium
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 10~),
               dh-python,
               libboost-dev,
               libbz2-dev,
               libexpat1-dev,
               libosmium2-dev (>= 2.16.0),
               pybind11-dev,
               python3-all-dev,
               python3-setuptools,
               python3-mock <!nocheck>,
               python3-nose <!nocheck>,
               python3-shapely <!nocheck>
Build-Depends-Indep:
               python3-sphinx,
               python3-sphinxcontrib.autoprogram
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
Homepage: https://osmcode.org/pyosmium/

Package: pyosmium
Architecture: all
Section: utils
Depends: python3-pyosmium (>= ${source:Version}),
         ${misc:Depends}
Description: Osmium library bindings for Python - utilities
 The PyOsmium module allows you to access some of the features of the Osmium
 library from Python code.
 .
 PyOsmium has extensive support for all types of OSM entities: nodes, ways,
 relations, and changesets. It allows reading from OSM files in XML and PBF
 formats, including change files and full history files. Its easy to use
 handler interface allows you to quickly write data filtering and conversion
 functions.
 .
 This package contains the PyOsmium utilities.

Package: python3-pyosmium
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: python3-shapely,
          pyosmium-doc
Description: Osmium library bindings for Python 3
 The PyOsmium module allows you to access some of the features of the Osmium
 library from Python code.
 .
 PyOsmium has extensive support for all types of OSM entities: nodes, ways,
 relations, and changesets. It allows reading from OSM files in XML and PBF
 formats, including change files and full history files. Its easy to use
 handler interface allows you to quickly write data filtering and conversion
 functions.
 .
 This package contains the PyOsmium module for Python 3.

Package: pyosmium-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-sphinxdoc,
         libjs-underscore,
         ${misc:Depends}
Description: Osmium library bindings for Python - Documentation
 The PyOsmium module allows you to access some of the features of the Osmium
 library from Python code.
 .
 PyOsmium has extensive support for all types of OSM entities: nodes, ways,
 relations, and changesets. It allows reading from OSM files in XML and PBF
 formats, including change files and full history files. Its easy to use
 handler interface allows you to quickly write data filtering and conversion
 functions.
 .
 This package contains the PyOsmium documentation.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)

export PYBUILD_NAME=pyosmium
export PYBUILD_SYSTEM=distutils

export VERBOSE=1

%:
	dh $@ \
	    --buildsystem pybuild \
	    --with python3

override_dh_clean:
	dh_clean
	
	$(RM) -r doc/_build

override_dh_auto_build-indep:
	dh_auto_build --indep

	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/cpython3_`py3versions -vd`_pyosmium/build make html)
	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/cpython3_`py3versions -vd`_pyosmium/build make man)

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd test && {interpreter} run_tests.py" dh_auto_test

override_dh_auto_install:
	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install

override_dh_install:
	dh_install --list-missing

	# Remove embedded jquery.js in favor of libjs-jquery
	$(RM) debian/*/usr/share/doc/*/html/_static/jquery.js

	# Remove embedded doctools.js & searchtools.js in favor of libjs-sphinxdoc
	$(RM) debian/*/usr/share/doc/*/html/_static/doctools.js
	$(RM) debian/*/usr/share/doc/*/html/_static/searchtools.js

	# Remove embedded underscore.js in favor of libjs-underscore
	$(RM) debian/*/usr/share/doc/*/html/_static/underscore.js

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyosmium-$1.$2/ \
https://github.com/osmcode/pyosmium/releases \
(?:.*?/archive/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyosmium 3.2.0

=== debian/changelog ===
pyosmium (3.2.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:44:10 +0000

pyosmium (3.2.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:15:39 +0200

pyosmium (3.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Require at least libosmium2-dev 2.17.0.
  * Add python3-requests to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Aug 2021 05:59:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.16.0),
+               libosmium2-dev (>= 2.17.0),
                pybind11-dev,
                python3-all-dev,
+               python3-requests,
                python3-setuptools,
                python3-mock <!nocheck>,
                python3-nose <!nocheck>,

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyosmium-$1.$2/ \
https://github.com/osmcode/pyosmium/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyosmium 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,11 +27,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/lib)
 
 if(NOT "${CMAKE_CXX_STANDARD}")
-    if(MSVC)
-        set(CMAKE_CXX_STANDARD 14)
-    else()
-        set(CMAKE_CXX_STANDARD 11)
-    endif()
+    set(CMAKE_CXX_STANDARD 14)
 endif()
 
 # required for pybind11 < 2.6

=== debian/changelog ===
pyosmium (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop pybuild.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Jul 2022 09:58:44 +0200

pyosmium (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Add patch to fix doc build.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Jul 2022 05:33:45 +0200

pyosmium (3.3.0-2) unstable; urgency=medium

  * Move python3-sphinx from Build-Depends-Indep to Build-Depends.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Mar 2022 07:45:14 +0100

pyosmium (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update doc-base paths.
  * Use sphinxdoc helper.
  * Require at least libosmium2-dev 2.18.0.
  * Update copyright file.
  * Switch from nose to pytest.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Mar 2022 05:39:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,21 @@
 Section: science
 Priority: optional
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 10~),
+               debhelper-compat (= 12),
                dh-python,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.17.0),
+               libosmium2-dev (>= 2.18.0),
                pybind11-dev,
                python3-all-dev,
+               python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools,
-               python3-mock <!nocheck>,
-               python3-nose <!nocheck>,
-               python3-shapely <!nocheck>
-Build-Depends-Indep:
+               python3-shapely <!nocheck>,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
@@ -65,9 +63,7 @@
 Package: pyosmium-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
-         libjs-sphinxdoc,
-         libjs-underscore,
+Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: Osmium library bindings for Python - Documentation
  The PyOsmium module allows you to access some of the features of the Osmium

## pyosmium 3.5.0

=== debian/changelog ===
pyosmium (3.5.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Nov 2022 08:16:19 +0100

pyosmium (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Nov 2022 17:15:15 +0100

pyosmium (3.4.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Aug 2022 06:52:58 +0200

pyosmium (3.3.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Mar 2022 07:43:45 +0200

pyosmium (3.2.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 09:01:21 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-sphinxcontrib.autoprogram
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bullseye-backports
 Homepage: https://osmcode.org/pyosmium/
 
 Package: pyosmium

## pyosmium 3.6.0

=== debian/changelog ===
pyosmium (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Require at least libosmium2-dev 2.19.0.
  * Update copyright file.
  * Add patch to not use deprecated distutils module.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jan 2023 08:05:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,28 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 12),
                dh-python,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
-               libosmium2-dev (>= 2.18.0),
+               libosmium2-dev (>= 2.19.0),
                pybind11-dev,
+               pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-packaging,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-shapely <!nocheck>,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
+Rules-Requires-Root: no
 
 Package: pyosmium
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)

export PYBUILD_NAME=pyosmium
export PYBUILD_SYSTEM=distutils
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {dir}/tools {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples {build_dir}/tools


export VERBOSE=1

%:
	dh $@ \
	    --buildsystem pybuild \
	    --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	
	$(RM) -r doc/_build

override_dh_auto_build-indep:
	dh_auto_build --indep

	(cd doc && make html)
	(cd doc && make man)

override_dh_auto_install:
	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyosmium-$1.$2/ \
https://github.com/osmcode/pyosmium/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyosmium 3.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
-cmake_minimum_required(VERSION 2.8.12)
-project(pyosmium)
-set(PACKAGE_VERSION 3.0.1)
+cmake_minimum_required(VERSION 3.0)
+project(pyosmium VERSION 3.6.0)
 
 option(WITH_LZ4 "Build with lz4 support for PBF files" ON)

=== debian/changelog ===
pyosmium (3.7.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:38:30 +0000

pyosmium (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove generated files in clean target.
    (closes: #1045177)
  * Update lintian overrides.
  * Use execute_after instead of override in rules file.
  * Switch to dh-sequence-*.
  * Drop patches, applied/included upstream.
  * Add python3-werkzeug & python3-pytest-httpserver to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Nov 2023 05:37:30 +0100

pyosmium (3.6.0-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Don't override dh_auto_install.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Add upstream patch to fix FTBFS with pybind 2.11.
    (closes: #1042292)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2023 05:21:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Section: science
 Priority: optional
 Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
@@ -15,16 +17,19 @@
                python3-all-dev,
                python3-packaging,
                python3-pytest <!nocheck>,
+               python3-pytest-httpserver <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-shapely <!nocheck>,
                python3-sphinx,
-               python3-sphinxcontrib.autoprogram
+               python3-sphinxcontrib.autoprogram,
+               python3-werkzeug <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: pyosmium
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)

export PYBUILD_NAME=pyosmium
export PYBUILD_SYSTEM=distutils
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {dir}/tools {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples {build_dir}/tools
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/lib/{package}


export VERBOSE=1

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_build-indep:
	(cd doc && make html)
	(cd doc && make man)

## pyosmium 4.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.8.0)
 project(pyosmium VERSION 3.6.0)
 
 option(WITH_LZ4 "Build with lz4 support for PBF files" ON)
@@ -26,7 +26,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/lib)
 
 if(NOT "${CMAKE_CXX_STANDARD}")
-    set(CMAKE_CXX_STANDARD 14)
+    set(CMAKE_CXX_STANDARD 17)
 endif()
 
 # required for pybind11 < 2.6
@@ -41,7 +41,7 @@
 if(PYBIND11_PREFIX)
     add_subdirectory(${PYBIND11_PREFIX} contrib/pybind11)
 else()
-    find_package(pybind11 2.2 REQUIRED)
+    find_package(pybind11 2.7 REQUIRED)
 endif()
 
 find_package(Boost 1.41 REQUIRED COMPONENTS)
@@ -60,9 +60,8 @@
     endforeach()
 endfunction()
 
-set(PYOSMIUM_MODULES geom index io)
-
-foreach(PYMOD geom index io)
+# Modules without any Python code and just one source file.
+foreach(PYMOD geom index io area)
     pybind11_add_module(${PYMOD} lib/${PYMOD}.cc)
     set_module_output(${PYMOD} osmium)
     target_link_libraries(${PYMOD} PRIVATE ${OSMIUM_LIBRARIES})
@@ -71,23 +70,41 @@
     endif()
 endforeach()
 
-pybind11_add_module(_osm lib/osm.cc)
-set_module_output(_osm osmium/osm)
+# Modules where additional Python code is in src (C++-part will be private).
+foreach(PYMOD osm replication)
+    pybind11_add_module(_${PYMOD} lib/${PYMOD}.cc)
+    set_module_output(_${PYMOD} osmium/${PYMOD})
+    target_link_libraries(_${PYMOD} PRIVATE ${OSMIUM_LIBRARIES})
+    if(APPLE)
+        set_target_properties(_${PYMOD} PROPERTIES CXX_VISIBILITY_PRESET "default")
+    endif()
+endforeach()
+
+# Modules with multiple source files.
 pybind11_add_module(_osmium
                     lib/osmium.cc
                     lib/merge_input_reader.cc
+                    lib/node_location_handler.cc
                     lib/simple_writer.cc
-                    lib/write_handler.cc)
+                    lib/file_iterator.cc
+                    lib/id_tracker.cc)
 set_module_output(_osmium osmium)
-pybind11_add_module(_replication lib/replication.cc)
-set_module_output(_replication osmium/replication)
+target_link_libraries(_osmium PRIVATE ${OSMIUM_LIBRARIES})
 
-target_link_libraries(_osmium PRIVATE ${OSMIUM_LIBRARIES})
-target_link_libraries(_replication PRIVATE ${OSMIUM_LIBRARIES})
+pybind11_add_module(filter
+                    lib/filter.cc
+                    lib/empty_tag_filter.cc
+                    lib/key_filter.cc
+                    lib/tag_filter.cc
+                    lib/id_filter.cc
+                    lib/entity_filter.cc
+                    lib/geo_interface_filter.cc)
+set_module_output(filter osmium)
+target_link_libraries(filter PRIVATE ${OSMIUM_LIBRARIES})
 
 # workaround for https://github.com/pybind/pybind11/issues/1272
 if(APPLE)
     set_target_properties(_osmium PROPERTIES CXX_VISIBILITY_PRESET "default")
-    set_target_properties(_osm PROPERTIES CXX_VISIBILITY_PRESET "default")
+    set_target_properties(filter PROPERTIES CXX_VISIBILITY_PRESET "default")
 endif()

=== docs/Makefile ===
ARGPARSE_BASEARGS=--author 'Sarah Hoffmann' --author-email 'lonvia@denofr.de' --project-name pyosmium --url https://github.com/osmcode/pyosmium/

man:
	mkdir -p man
	argparse-manpage --pyfile ../tools/pyosmium-get-changes --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-get-changes.1
	argparse-manpage --pyfile ../tools/pyosmium-up-to-date --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-up-to-date.1

.PHONY: man

=== debian/changelog ===
pyosmium (4.0.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2024 05:24:37 +0200

pyosmium (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Oct 2024 17:54:52 +0200

pyosmium (4.0.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Sep 2024 07:41:03 +0200

pyosmium (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Sep 2024 16:27:34 +0200

pyosmium (4.0.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Sep 2024 07:15:11 +0200

pyosmium (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Drop -doc package.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Sep 2024 14:23:42 +0200

pyosmium (3.7.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Nov 2023 06:17:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
-               dh-sequence-sphinxdoc,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
@@ -15,18 +14,16 @@
                pybind11-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-packaging,
+               python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
                python3-requests,
                python3-setuptools,
                python3-shapely <!nocheck>,
-               python3-sphinx,
-               python3-sphinxcontrib.autoprogram,
                python3-werkzeug <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bookworm-backports
 Homepage: https://osmcode.org/pyosmium/
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
@@ -54,8 +51,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Suggests: python3-shapely,
-          pyosmium-doc
+Suggests: python3-shapely
 Description: Osmium library bindings for Python 3
  The PyOsmium module allows you to access some of the features of the Osmium
  library from Python code.
@@ -67,20 +63,3 @@
  functions.
  .
  This package contains the PyOsmium module for Python 3.
-
-Package: pyosmium-doc
-Architecture: all
-Section: doc
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
-Description: Osmium library bindings for Python - Documentation
- The PyOsmium module allows you to access some of the features of the Osmium
- library from Python code.
- .
- PyOsmium has extensive support for all types of OSM entities: nodes, ways,
- relations, and changesets. It allows reading from OSM files in XML and PBF
- formats, including change files and full history files. Its easy to use
- handler interface allows you to quickly write data filtering and conversion
- functions.
- .
- This package contains the PyOsmium documentation.

## pyosmium 4.1.0

=== debian/changelog ===
pyosmium (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update copyright file.
  * Switch from setuptools to scikit-build-core.
  * Add patch to fix manpage generation.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Aug 2025 21:34:29 +0200

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
                python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
+               python3-pytest-run-parallel <!nocheck>,
                python3-requests,
-               python3-setuptools,
+               python3-scikit-build-core,
                python3-shapely <!nocheck>,
                python3-werkzeug <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b bookworm-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild

## pyosmium 4.1.1

=== docs/Makefile ===
ARGPARSE_BASEARGS=--author 'Sarah Hoffmann' --author-email 'lonvia@denofr.de' --project-name pyosmium --url https://github.com/osmcode/pyosmium/

man:
	mkdir -p man
	argparse-manpage --pyfile ../src/osmium/tools/pyosmium_get_changes.py --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-get-changes.1
	argparse-manpage --pyfile ../src/osmium/tools/pyosmium_up_to_date.py --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-up-to-date.1

.PHONY: man

=== debian/changelog ===
pyosmium (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop man.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Sep 2025 05:45:37 +0200

pyosmium (4.1.0-2) unstable; urgency=medium

  * Drop python3-pytest-run-parallel from build dependencies (RC buggy).

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 Aug 2025 10:32:57 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
-               python3-pytest-run-parallel <!nocheck>,
                python3-requests,
                python3-scikit-build-core,
                python3-shapely <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)

export PYBUILD_NAME=pyosmium
export PYBUILD_SYSTEM=pyproject
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

export VERBOSE=1

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_build:
	(cd docs && PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) make man)

execute_after_dh_auto_install:
	mkdir -p debian/python3-pyosmium/usr/lib/python3-pyosmium
	mv -v debian/python3-pyosmium/usr/bin/* debian/python3-pyosmium/usr/lib/python3-pyosmium/
	rmdir debian/python3-pyosmium/usr/bin

## pyosmium 4.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...4.0)
cmake_policy(VERSION 3.15)
project(osmium LANGUAGES CXX)

option(WITH_LZ4 "Build with lz4 support for PBF files" ON)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
message(STATUS "Module path: ${CMAKE_MODULE_PATH}")

set(PYBIND11_FINDPYTHON ON)
find_package(pybind11 CONFIG REQUIRED)

if(SKBUILD_STATE STREQUAL "sdist")
#######################################################################
# source dist collection
#

include(FetchContent)

FetchContent_Declare(libosmium
                     GIT_REPOSITORY https://github.com/osmcode/libosmium
                     GIT_TAG 85aa0ec170d99b432d29a372554b27491d28065e # release 2.22.0
                     SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/contrib/libosmium
                     SOURCE_SUBDIR cmake
                     GIT_SUBMODULES_RECURSE OFF)
FetchContent_Declare(protozero
                     GIT_REPOSITORY https://github.com/mapbox/protozero
                     GIT_TAG 89a55ad2962cca3adbe8383a4b6d9a8411352ef2 # release 1.8.1
                     SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/contrib/protozero
                     SOURCE_SUBDIR cmake
                     GIT_SUBMODULES_RECURSE OFF)

FetchContent_MakeAvailable(libosmium protozero)

else()
#######################################################################
# wheel build
#

set(OSMIUM_COMPONENTS io pbf xml)

if(WITH_LZ4)
  find_package(LZ4)
  if (LZ4_FOUND)
    list(APPEND OSMIUM_COMPONENTS lz4)
    message(STATUS "lz4 library found, compiling with it")
  else()
    message(WARNING "lz4 library not found, compiling without it")
  endif()
else()
  message(STATUS "Building without lz4 support: Set WITH_LZ4=ON to change this")
endif()

find_package(Osmium 2.16 REQUIRED COMPONENTS ${OSMIUM_COMPONENTS})
include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})

if(NOT "${CMAKE_CXX_STANDARD}")
    set(CMAKE_CXX_STANDARD 17)
endif()

message(STATUS "Building in C++${CMAKE_CXX_STANDARD} mode")

find_package(Boost 1.66 REQUIRED COMPONENTS)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})

# Modules without any Python code and just one source file.
foreach(PYMOD geom index io area)
    pybind11_add_module(${PYMOD} lib/${PYMOD}.cc)
    target_link_libraries(${PYMOD} PRIVATE ${OSMIUM_LIBRARIES})
    install(TARGETS ${PYMOD} DESTINATION osmium)
    if(APPLE)
        set_target_properties(${PYMOD} PROPERTIES CXX_VISIBILITY_PRESET "default")
    endif()
endforeach()

# Modules where additional Python code is in src (C++-part will be private).
foreach(PYMOD osm replication)
    pybind11_add_module(_${PYMOD} lib/${PYMOD}.cc)
    target_link_libraries(_${PYMOD} PRIVATE ${OSMIUM_LIBRARIES})
    install(TARGETS _${PYMOD} DESTINATION osmium/${PYMOD})
    if(APPLE)
        set_target_properties(_${PYMOD} PROPERTIES CXX_VISIBILITY_PRESET "default")
    endif()
endforeach()

# Modules with multiple source files.
pybind11_add_module(_osmium
                    lib/osmium.cc
                    lib/merge_input_reader.cc
                    lib/node_location_handler.cc
                    lib/simple_writer.cc
                    lib/file_iterator.cc
                    lib/id_tracker.cc)
install(TARGETS _osmium DESTINATION osmium)
target_link_libraries(_osmium PRIVATE ${OSMIUM_LIBRARIES})

pybind11_add_module(filter
                    lib/filter.cc
                    lib/empty_tag_filter.cc
                    lib/key_filter.cc
                    lib/tag_filter.cc
                    lib/id_filter.cc
                    lib/entity_filter.cc
                    lib/geo_interface_filter.cc)
install(TARGETS filter DESTINATION osmium)
target_link_libraries(filter PRIVATE ${OSMIUM_LIBRARIES})

configure_file(cmake/version.py.tmpl version.py)
install(FILES ${PROJECT_BINARY_DIR}/version.py DESTINATION osmium)

# workaround for https://github.com/pybind/pybind11/issues/1272
if(APPLE)
    set_target_properties(_osmium PROPERTIES CXX_VISIBILITY_PRESET "default")
    set_target_properties(filter PROPERTIES CXX_VISIBILITY_PRESET "default")
endif()


endif()

=== docs/Makefile ===
ARGPARSE_BASEARGS=--author 'Sarah Hoffmann' --author-email 'lonvia@denofr.de' --project-name pyosmium --url https://github.com/osmcode/pyosmium/

man:
	mkdir -p man
	argparse-manpage --module osmium.tools.pyosmium_get_changes --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-get-changes.1
	argparse-manpage --module osmium.tools.pyosmium_up_to_date --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-up-to-date.1

.PHONY: man

=== debian/changelog ===
pyosmium (4.2.0-2) unstable; urgency=medium

  * Drop support for 32-bit architectures, like osm2pgsql.
    https://github.com/osmcode/pyosmium/issues/306

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Oct 2025 05:12:27 +0200

pyosmium (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Install upstream manpages.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Oct 2025 17:42:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cmake (>= 3.0),
+Build-Depends: architecture-is-64-bit,
+               cmake (>= 3.0),
                debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
@@ -14,7 +15,6 @@
                pybind11-dev,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-argparse-manpage,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>,
                python3-requests,
@@ -25,7 +25,6 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: pyosmium

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 export PYBUILD_NAME=pyosmium
 export PYBUILD_SYSTEM=pyproject
+export PYBUILD_TEST_ARGS=-vv
 export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
 
@@ -17,9 +18,6 @@
 %:
 	dh $@ --buildsystem pybuild
 
-execute_after_dh_auto_build:
-	(cd docs && PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) make man)
-
 execute_after_dh_auto_install:
 	mkdir -p debian/python3-pyosmium/usr/lib/python3-pyosmium
 	mv -v debian/python3-pyosmium/usr/bin/* debian/python3-pyosmium/usr/lib/python3-pyosmium/

## pyosmium 4.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.15...4.0)
+cmake_minimum_required(VERSION 3.15)
 cmake_policy(VERSION 3.15)
 project(osmium LANGUAGES CXX)
 
@@ -19,7 +19,7 @@
 
 FetchContent_Declare(libosmium
                      GIT_REPOSITORY https://github.com/osmcode/libosmium
-                     GIT_TAG 85aa0ec170d99b432d29a372554b27491d28065e # release 2.22.0
+                     GIT_TAG 9c49c960569c15dd09ff9eb9e9dce7f383ab6ed2 # release 2.23.0
                      SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/contrib/libosmium
                      SOURCE_SUBDIR cmake
                      GIT_SUBMODULES_RECURSE OFF)
@@ -59,9 +59,6 @@
 endif()
 
 message(STATUS "Building in C++${CMAKE_CXX_STANDARD} mode")
-
-find_package(Boost 1.66 REQUIRED COMPONENTS)
-include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 
 # Modules without any Python code and just one source file.
 foreach(PYMOD geom index io area)

=== docs/Makefile ===
ARGPARSE_BASEARGS=--author 'Sarah Hoffmann' --author-email 'lonvia@denofr.de' --project-name pyosmium --url https://github.com/osmcode/pyosmium/
PYOSMIUM_VERSION=$(shell python3 -c 'import osmium.version;print(osmium.version.pyosmium_release)' | tail -n 1)

man:
	mkdir -p man
	argparse-manpage --module osmium.tools.pyosmium_get_changes --version '${PYOSMIUM_VERSION}' --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-get-changes.1
	argparse-manpage --module osmium.tools.pyosmium_up_to_date --version '${PYOSMIUM_VERSION}' --function get_arg_parser ${ARGPARSE_BASEARGS} --output man/pyosmium-up-to-date.1

.PHONY: man

=== debian/changelog ===
pyosmium (4.3.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Feb 2026 07:01:27 +0100

pyosmium (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Make pytest output verbose.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Update copyright file.
  * Drop libboost-dev build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Feb 2026 12:32:31 +0100

pyosmium (4.2.0-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Oct 2025 05:40:50 +0200

pyosmium (4.1.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Sep 2025 07:29:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 export PYBUILD_NAME=pyosmium
 export PYBUILD_SYSTEM=pyproject
-export PYBUILD_TEST_ARGS=-vv
+export PYBUILD_TEST_ARGS=-v
 export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
